
Redmine - Defect #36126

Attachments REST API includes internal port

2021-11-01 21:21 - Yuri Mamaev

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee: Yuri Mamaev % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.0.9

Description

Trying to get the JSON of the issue using API, with include=attachments, provides attachments links using internal port, not the

domain name, port and protocol specified in settings.

As an example:

{"id":6043,"filename":"test.txt","filesize":5119,"content_type":"text/plain","description":"","content_url":"http://redmine.example.org:300

0/attachments/download/6043/test.txt","author":{"id":1,"name":"Yuri Mamaev"},"created_on":"2021-10-18T18:38:13Z"}

content_url expected to be: https://redmine.example.org/attachments/download/6043/test.txt

History

#1 - 2021-11-03 07:55 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Yuri Mamaev

Did you set your "Host name and path" in Administration -> Settings -> General?

#2 - 2021-11-04 11:41 - Yuri Mamaev

Yes, hostname is set to hostname without port.
